<?php
// $Id: photos.admin.inc,v 1.1.2.5 2008/08/25 13:09:06 eastcn Exp $
function photos_admin_settings() {
	$form['one'] = array(
		'#title' => t('Basic settings'),
		'#weight' => -4,
		'#type' => 'fieldset',
		'#collapsible' => TRUE,
	);
	$form['two'] = array(
		'#title' => t('Advanced Settings'),
		'#weight' => -3,
		'#type' => 'fieldset',
		'#collapsible' => TRUE,
	);
	$form['one']['photos_num'] = array(
		'#type' => 'select',
		'#title' => t('Number of upload'),
		'#default_value' => variable_get('photos_num', 5),
		'#options' => drupal_map_assoc(array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10)),
		'#description' => t('Maxium amount allowed for one upload'),
	);
	$form['one']['photos_pnum'] = array(
		'#type' => 'select',
		'#title' => t('Number of albums'),
		'#options' => drupal_map_assoc(array(1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 15, 20, 25, 30, 40, 5000)),
		'#default_value' => variable_get('photos_pnum', 20),
		'#description' => t('The number of albums a user allowed to create. Administrater is not limited.'),
	);
	$form['one']['photos_t_w'] = array(
		'#type'=> 'textfield',
		'#title' => t('Thumbnail size'),
		'#default_value' => variable_get('photos_t_w', '100x100'),
		'#description' => t('This photos module creates 2 formats of thumbnails, and saves original image. Please set size'),
		'#size' => '10',
	);
	$form['one']['photos_t_s'] = array(
		'#type' => 'select',
		'#title' => t('Thumbnail format'),
		'#default_value' => variable_get('photos_t_s', 'crop'),
		'#options' => array('scale' => 'scale','crop' => 'crop'),
		'#description' => t('scale: Keep ratio for resizing, crop:  Fix size, aligned by a border.'),
	);
	$form['one']['photos_t_ww'] = array(
		'#type'=> 'textfield',
		'#title' => t('Medium image size'),
		'#default_value' => variable_get('photos_t_ww', '640x480'),
		'#description' => t('This photos module creates 2 formats of thumbnails, and saves original image. Please set size'),
		'#size' => '10',
	);
	$form['one']['photos_t_ss'] = array(
		'#type' => 'select',
		'#title' => t('Medium image format'),
		'#default_value' => variable_get('photos_t_ss', 'scale'),
		'#options' => array('scale' => 'scale','crop' => 'crop'),
		'#description' => t('scale: Keep ratio for resizing, crop:  Fix size, aligned by a border.'),
	);
	$form['one']['photos_path'] = array(
		'#type'=> 'textfield',
		'#title' => t('Path of saving'),
		'#default_value' => variable_get('photos_path', 'photos/image_%uid'),
		'#description' => t('The path where the files should be saved, may save by user id or user name, e.g.: photos/%uid or photos/%username'),
		'#size' => '40',
		'#required' => TRUE,
	);
	$form['two']['photos_upzip'] = array(
		'#type' => 'radios',
		'#title' => t('zip compressed upload'),
		'#default_value' => variable_get('photos_upzip', 0),
		'#description' => t('Will be allowed to upload images compressed into a zip, extract the necessary support to open php'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['two']['photos_rname'] = array(
		'#type' => 'radios',
		'#title' => t('Rename image'),
		'#default_value' => variable_get('photos_rname', 0),
		'#description' => t('Rename uploaded image by random numbers, to solve problems with non-ASCII filenames such as Chinese.'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['two']['photos_exif'] = array(
		'#type' => 'radios',
		'#title' => t('Show exif information'),
		'#default_value' => variable_get('photos_exif', 0),
		'#description' => t('When the image is available exif information, automatically read and display. Open this option, you must load the php exif.'),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['two']['photos_comment'] = array(
		'#type' => 'radios',
		'#title' => t('Comment setting'),
		'#default_value' => variable_get('photos_comment', 0),
		'#description' => t('Open for the photo comments, you must first type of content in the overall set of options open comments.'),
		'#options' => array(t('Enabled'), t('Disabled')),
	);
	if(module_exists(votingapi)){
		$disabled = false;
	}else {
		$disabled = true;
	}
	$form['two']['photos_vote'] = array(
		'#type' => 'radios',
		'#title' => t('Images vote'),
		'#default_value' => variable_get('photos_vote', 0),
		'#description' => t('For the image to increase the voting feature, you must first install the votingapi.module.'),
		'#options' => array(t('Disabled'), t('Enabled')),
		'#disabled' => $disabled
	);
	$form['two']['photos_image_count'] = array(
		'#type' => 'radios',
		'#title' => t('Count image views'),
		'#default_value' => variable_get('photos_image_count', 0),
		'#description' => t('Increment a counter each time image is viewed.'),
		'#options' => array( t('Enabled'), t('Disabled'))
	);
	$form['two']['photos_flash'] = array(
		'#type' => 'radios',
		'#title' => t('FLASH slide show'),
		'#default_value' => variable_get('photos_flash', 0),
		'#description' => t('Please download <a href="@url">dfgallery</a>, and save to flash_gallery under , e.g: sites/all/modules/photos/flash_gallery/gallery.swf',array('@url' => url('http://www.dezinerfolio.com/2007/06/07/dfgallery/'))),
		'#options' => array(t('Disabled'), t('Enabled')),
	);
	$form['two']['photos_flash_zoom'] = array(
		'#type'=> 'textfield',
		'#title' => t('Flash width and height'),
		'#default_value' => variable_get('photos_flash_zoom', '500x450'),
		'#description' => t('The width and length of flash, e.g: 500x450.'),
		'#size' => '10',
	);
	return system_settings_form($form);
}